MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025383Open CASCADE[OCCT] OCCT:DRAWpublic2014-10-15 17:262014-11-11 13:01
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025383: Draw Harness - broken vrecord command
Descriptionvrecord start sub-command uses OpenGl_AVIWriter API incorrectly: it does not provide HWND of the 3D view to capture frames from.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025382closedkgv Visualization, TKOpenGl - improved video recording capability 

-  Notes
(0033159)
git (administrator)
2014-10-15 17:57

Branch CR25383 has been created by san.

SHA-1: 30a15bed2a489c44e4db327ab7ae5ae203afb350


Detailed log of new commits:

Author: san
Date: Wed Oct 15 17:44:22 2014 +0400

    0025383: Broken vrecord command
    
    Pass HWND of the current 3D view to OpenGl_AVIWriter::StartRecording()
    in order to make it work.
(0033161)
san (developer)
2014-10-15 17:57

Branch CR25383 ready for reviewing.
(0033162)
git (administrator)
2014-10-15 18:08

Branch CR25383 has been updated forcibly by san.

SHA-1: ac144fee6140c17d4afc741eca0aa2e6b3a23cef
(0033164)
kgv (developer)
2014-10-15 18:10

Please take patch, no testing needed (functionality is not enabled by default and not covered by tests).
(0033197)
mkv (tester)
2014-10-16 13:03

Dear BugMaster,
Branch CR25383 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ac144fee6140c17d4afc741eca0aa2e6b3a23cef

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Testing cases:
Not needed
(0033394)
git (administrator)
2014-10-21 16:40

Branch CR25383 has been deleted by inv.

SHA-1: ac144fee6140c17d4afc741eca0aa2e6b3a23cef

- Related Changesets
occt: master 6d17debb
Timestamp: 2014-10-15 14:06:52
Author: san
Committer: bugmaster
Details ] Diff ]
0025383: Broken vrecord command

Pass HWND of the current 3D view to OpenGl_AVIWriter::StartRecording()
in order to make it work.
mod - src/ViewerTest/ViewerTest_AviCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-15 17:26 san New Issue
2014-10-15 17:26 san Assigned To => san
2014-10-15 17:26 san Relationship added related to 0025382
2014-10-15 17:27 san Status new => assigned
2014-10-15 17:57 git Note Added: 0033159
2014-10-15 17:57 san Note Added: 0033161
2014-10-15 17:57 san Assigned To san => kgv
2014-10-15 17:57 san Status assigned => resolved
2014-10-15 18:08 git Note Added: 0033162
2014-10-15 18:10 kgv Note Added: 0033164
2014-10-15 18:10 kgv Assigned To kgv => bugmaster
2014-10-15 18:10 kgv Status resolved => reviewed
2014-10-15 18:38 mkv Assigned To bugmaster => mkv
2014-10-15 18:52 kgv Summary Broken vrecord command => Draw Harness - broken vrecord command
2014-10-16 13:03 mkv Note Added: 0033197
2014-10-16 13:03 mkv Assigned To mkv => bugmaster
2014-10-16 13:03 mkv Status reviewed => tested
2014-10-16 13:04 mkv Test case number => Not needed
2014-10-20 10:24 bugmaster Changeset attached => occt master 6d17debb
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:40 git Note Added: 0033394
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker